diff -pur gmp-6.3.0/acinclude.m4 gmp-6.3.0-new/acinclude.m4
--- gmp-6.3.0/acinclude.m4	2023-07-29 15:42:16
+++ gmp-6.3.0-new/acinclude.m4	2023-07-31 11:36:15
@@ -275,7 +275,7 @@ AC_DEFUN([GMP_PROG_AR],
 
 AC_DEFUN([GMP_PROG_AR],
 [dnl  Want to establish $AR before libtool initialization.
-AC_BEFORE([$0],[AC_PROG_LIBTOOL])
+AC_BEFORE([$0],[LT_INIT])
 gmp_user_AR=$AR
 AC_CHECK_TOOL(AR, ar, ar)
 if test -z "$gmp_user_AR"; then
@@ -401,12 +401,12 @@ dnl  -----------
 
 dnl  GMP_PROG_NM
 dnl  -----------
-dnl  GMP additions to libtool AC_PROG_NM.
+dnl  GMP additions to libtool LT_PATH_NM.
 dnl
-dnl  Note that if AC_PROG_NM can't find a working nm it still leaves
+dnl  Note that if LT_PATH_NM can't find a working nm it still leaves
 dnl  $NM set to "nm", so $NM can't be assumed to actually work.
 dnl
-dnl  A user-selected $NM is always left unchanged.  AC_PROG_NM is still run
+dnl  A user-selected $NM is always left unchanged.  LT_PATH_NM is still run
 dnl  to get the "checking" message printed though.
 dnl
 dnl  Perhaps it'd be worthwhile checking that nm works, by running it on an
@@ -420,11 +420,11 @@ AC_DEFUN([GMP_PROG_NM],
 dnl  to just demand that the user provides a coherent environment.
 
 AC_DEFUN([GMP_PROG_NM],
-[dnl  Make sure we're the first to call AC_PROG_NM, so our extra flags are
+[dnl  Make sure we're the first to call LT_PATH_NM, so our extra flags are
 dnl   used by everyone.
-AC_BEFORE([$0],[AC_PROG_NM])
+AC_BEFORE([$0],[LT_PATH_NM])
 gmp_user_NM=$NM
-AC_PROG_NM
+LT_PATH_NM
 
 # FIXME: When cross compiling (ie. $ac_tool_prefix not empty), libtool
 # defaults to plain "nm" if a "${ac_tool_prefix}nm" is not found.  In this
@@ -438,7 +438,7 @@ if test -z "$gmp_user_NM" && test -n "$ac_tool_prefix"
   gmp_save_ac_tool_prefix=$ac_tool_prefix
   ac_tool_prefix=
   NM=
-  AC_PROG_NM
+  LT_PATH_NM
   ac_tool_prefix=$gmp_save_ac_tool_prefix
 fi
 
@@ -2708,7 +2708,7 @@ dnl  Flags to specify PIC are taken from $lt_prog_comp
 dnl  %edx.
 dnl
 dnl  Flags to specify PIC are taken from $lt_prog_compiler_pic set by
-dnl  AC_PROG_LIBTOOL.
+dnl  LT_INIT.
 dnl
 dnl  Enhancement: Cache the values determined here. But what's the right way
 dnl  to get two variables (mcount_nonpic_reg and mcount_nonpic_call say) set
@@ -2716,7 +2716,7 @@ AC_DEFUN([GMP_ASM_X86_MCOUNT],
 
 AC_DEFUN([GMP_ASM_X86_MCOUNT],
 [AC_REQUIRE([AC_ENABLE_SHARED])
-AC_REQUIRE([AC_PROG_LIBTOOL])
+AC_REQUIRE([LT_INIT])
 AC_MSG_CHECKING([how to call x86 mcount])
 cat >conftest.c <<EOF
 foo(){bar();}
@@ -3957,7 +3957,7 @@ dnl
 dnl  ------------------------
 dnl  Establish LIBM_FOR_BUILD as -lm, if that seems to work.
 dnl
-dnl  Libtool AC_CHECK_LIBM also uses -lmw on *-ncr-sysv4.3*, if it works.
+dnl  Libtool LT_LIB_M also uses -lmw on *-ncr-sysv4.3*, if it works.
 dnl  Don't know what that does, lets assume it's not needed just for log().
 
 AC_DEFUN([GMP_CHECK_LIBM_FOR_BUILD],
diff -pur gmp-6.3.0/configure.ac gmp-6.3.0-new/configure.ac
--- gmp-6.3.0/configure.ac	2023-07-29 15:42:16
+++ gmp-6.3.0-new/configure.ac	2023-07-31 11:36:28
@@ -2532,7 +2532,6 @@ AC_PROG_CC
 
 # The C compiler and preprocessor, put into ANSI mode if possible.
 AC_PROG_CC
-AC_PROG_CC_C99
 AC_PROG_CPP
 
 #if test "$ac_cv_prog_cc_c99" = no; then
@@ -2601,7 +2600,7 @@ AM_CONDITIONAL(WANT_CXX, test $want_cxx = yes)
 AM_CONDITIONAL(WANT_CXX, test $want_cxx = yes)
 
 # FIXME: We're not interested in CXXCPP for ourselves, but if we don't do it
-# here then AC_PROG_LIBTOOL will AC_REQUIRE it (via _LT_AC_TAGCONFIG) and
+# here then LT_INIT will AC_REQUIRE it (via _LT_AC_TAGCONFIG) and
 # hence execute it unconditionally, and that will fail if there's no C++
 # compiler (and no generic /lib/cpp).
 #
@@ -2803,7 +2802,7 @@ fi
   fi
 fi
 
-# The dead hand of AC_REQUIRE makes AC_PROG_LIBTOOL expand and execute
+# The dead hand of AC_REQUIRE makes LT_INIT expand and execute
 # AC_PROG_F77, even when F77 is not in the selected with_tags.  This is
 # probably harmless, but it's unsightly and bloats our configure, so pretend
 # AC_PROG_F77 has been expanded already.
@@ -2813,7 +2812,7 @@ fi
 #
 #AC_PROVIDE([AC_PROG_F77])
 
-AC_PROG_LIBTOOL
+LT_INIT
 
 # Generate an error here if attempting to build both shared and static when
 # $libname.a is in $library_names_spec (as mentioned above), rather than
@@ -2904,8 +2903,6 @@ AC_CHECK_DECLS([sys_errlist, sys_nerr], , ,
 [#include <stdio.h>
 #include <errno.h>])
 
-AC_TYPE_SIGNAL
-
 # Reasons for testing:
 #   intmax_t       - C99
 #   long double    - not in the HP bundled K&R cc
@@ -2936,7 +2933,7 @@ GMP_H_EXTERN_INLINE
 GMP_H_EXTERN_INLINE
 
 # from libtool
-AC_CHECK_LIBM
+LT_LIB_M
 AC_SUBST(LIBM)
 
 GMP_FUNC_ALLOCA
diff -pur gmp-6.3.0/tests/misc.c gmp-6.3.0-new/tests/misc.c
--- gmp-6.3.0/tests/misc.c	2023-07-29 15:42:17
+++ gmp-6.3.0-new/tests/misc.c	2023-07-31 11:34:15
@@ -595,7 +595,7 @@ jmp_buf    tests_sigfpe_target;
 
 jmp_buf    tests_sigfpe_target;
 
-RETSIGTYPE
+void
 tests_sigfpe_handler (int sig)
 {
   longjmp (tests_sigfpe_target, 1);
diff -pur gmp-6.3.0/tests/spinner.c gmp-6.3.0-new/tests/spinner.c
--- gmp-6.3.0/tests/spinner.c	2023-07-29 15:42:17
+++ gmp-6.3.0-new/tests/spinner.c	2023-07-31 11:33:25
@@ -51,7 +51,7 @@ int  spinner_tick = 1;     /* 1 ready to print, 0 not 
 
 
 /*ARGSUSED*/
-RETSIGTYPE
+void
 spinner_signal (int signum)
 {
   spinner_tick = 1;
diff -pur gmp-6.3.0/tests/tests.h gmp-6.3.0-new/tests/tests.h
--- gmp-6.3.0/tests/tests.h	2023-07-29 15:42:17
+++ gmp-6.3.0-new/tests/tests.h	2023-07-31 11:33:31
@@ -73,7 +73,7 @@ unsigned short x86_fstcw (void);
   (signal (SIGFPE, tests_sigfpe_handler),       \
    setjmp (tests_sigfpe_target))
 
-RETSIGTYPE tests_sigfpe_handler (int);
+void tests_sigfpe_handler (int);
 void tests_sigfpe_done (void);
 extern jmp_buf  tests_sigfpe_target;
 
diff -pur gmp-6.3.0/tune/time.c gmp-6.3.0-new/tune/time.c
--- gmp-6.3.0/tune/time.c	2023-07-29 15:42:17
+++ gmp-6.3.0-new/tune/time.c	2023-07-31 11:34:07
@@ -452,7 +452,7 @@ static jmp_buf  cycles_works_buf;
 
 static jmp_buf  cycles_works_buf;
 
-static RETSIGTYPE
+static void
 cycles_works_handler (int sig)
 {
   longjmp (cycles_works_buf, 1);
@@ -481,7 +481,7 @@ cycles_works_p (void)
    * all linux systems. */
 #ifdef SIGILL
   {
-    RETSIGTYPE (*old_handler) (int);
+    void (*old_handler) (int);
     unsigned  cycles[2];
 
     old_handler = signal (SIGILL, cycles_works_handler);
@@ -832,7 +832,7 @@ static jmp_buf  mftb_works_buf;
 
 static jmp_buf  mftb_works_buf;
 
-static RETSIGTYPE
+static void
 mftb_works_handler (int sig)
 {
   longjmp (mftb_works_buf, 1);
@@ -841,9 +841,9 @@ mftb_works_p (void)
 int
 mftb_works_p (void)
 {
-  unsigned   a[2];
-  RETSIGTYPE (*old_handler) (int);
-  double     cycletime;
+  unsigned a[2];
+  void     (*old_handler) (int);
+  double   cycletime;
 
   /* suppress a warning about a[] unused */
   a[0] = 0;
